<template>
  <v-card class="h-100 py-3">
    <v-img :src="`../src/assets/images/${item.promo_image}`" height="300px" :alt="`${item.promo_image}`"></v-img>
    <v-row class="flex-column">

    <v-col class="">
      <v-card-subtitle>
        <v-chip color="red" text-color="white">
          {{ item.count }}
        </v-chip>
        <v-chip class="ml-3">
          {{ item.type }}
        </v-chip>
      </v-card-subtitle>
    </v-col>

    <v-col>
      <v-card-text>
        <router-link :to="{ name: 'Discount', params: { id: item.id }}" class="text-black text-decoration-none">
          {{ item.title }}
        </router-link>
      </v-card-text>
    </v-col>

    <v-col>
      <v-container>
        <router-link :to="{ name: 'Discount', params: { id: item.id }}" class="text-black text-decoration-none">
          <v-btn variant="flat" color="success" class="w-100">
            Перейти
            <v-icon icon="mdi-arrow-right-circle-outline" class="ml-3"></v-icon>
          </v-btn>
        </router-link>
      </v-container>
    </v-col>

    <v-col>
      <v-card-title>
        Цена {{ item.price }}
      </v-card-title>
    </v-col>

    </v-row>
  </v-card>
</template>

<script>
export default {
  props: {
    item: {
      type: Object,
      required: true
    }
  }
}
</script>
